Description

This is a guide for setting up a simple development environment for python with virtualenv on FreeBSD.

Prepare the Environment

o Make sure the system is up to date:

pkg update && pkg upgrade

Install Python

¢ [nstall python and a few dependencies:
pkg install bash python py27-{pip,pkgconfig, setuptools27,virtualenv}
e Create a non-privileged user to develop with:

pw group add pydev
pw user add pydev -m -g pydev -s /usr/local/bin/bash -c "Python Dev"

Create Virtualenv

e Switch to the python dev user:
su - pydev

® Create a new virtualenv called new_app:
virtualenv new_app

e Activate the new_app virtualenv to begin using it:
source ./new_app/bin/activate

e |nstall or develop the new_app:

pip install new_app

04/20/2024

1/2




* When done working in the virtual environment for the moment, deactivate it:

deactivate

Resources

e http:/docs.python-guide.org/en/latest/dev/virtualenvs/

History

#1 - 11/28/2016 09:19 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 11/29/2016 01:55 PM - Daniel Curtis

- Description updated

#3 - 06/04/2017 08:51 PM - Daniel Curtis

- Status changed from Resolved to Closed
